package com.unibuy.smartdevice.structure;

public class ReportAccessCodeStructure {
    private String accessCodeId;
    private int field;
    private int slot;
    private String passCode;
    private String productId;

    public ReportAccessCodeStructure(String accessCodeId, int field, int slot, String passCode, String productId) {
        this.accessCodeId = accessCodeId;
        this.field = field;
        this.slot = slot;
        this.passCode = passCode;
        this.productId = productId;
    }

    public String getAccessCodeId() {
        return accessCodeId;
    }

    public void setAccessCodeId(String accessCodeId) {
        this.accessCodeId = accessCodeId;
    }

    public int getField() {
        return field;
    }

    public void setField(int field) {
        this.field = field;
    }

    public int getSlot() {
        return slot;
    }

    public void setSlot(int slot) {
        this.slot = slot;
    }

    public String getPassCode() {
        return passCode;
    }

    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }
}
